Topic "Version mis-match"

Author Message
Bill Long

Guest


Getting the following message and would like to know if doing this
has any strong implications as I have quite a few programs previously built that are using this version w/no issues. This being a new program test. Using VB 2008 and calling WinSCP which is
not unusual for me.
And if ok, where do I put this code?

Logged message:
The version of C:\Program Files (x86)\WinSCP\WinSCP.exe (5.7.6.0) does not match version of this assembly \\wchsys.org\dfs\users\BLong\My Documents\Visual Studio 2008\Projects\STRATA\STRATA\bin\Debug\WinSCP.dll (5.1.7.0). You can disable this check using Session.DisableVersionCheck (not recommended).

Bill
william.long@trivergenthealth.com
martin
[View user's profile]
Site Admin
Joined: 2002-12-10
Posts: 25015
Location: Prague, Czechia
You should have a compatible (5.1.7) copy of the winscp.exe along with the winscp.dll with all your programs. You should not rely on the installed version of WinSCP.
See https://winscp.net/eng/docs/library_install#installing
Advertisements

You can post new topics in this forum






Search Site

What is WinSCP?

It is award-winning SFTP client, SCP client, FTPS client and FTP client integrated into one software program for file transfer to FTP server or secure SFTP server. [More]

And it's free!

Donate

About donations

$9   $19   $49   $99

About donations

Recommend

WinSCP Privacy Policy

WinSCP License